Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deepfs.jfuse
Class DeepStat

    java.lang.Object
      org.deepfs.jfuse.DeepStat

    public final class DeepStat

extends Object

Internal representation of file status.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Alexander Holupirek

Field Summary
`long` | `statimespec` Time of last access.
`long` | `stblocks` Blocks allocated for file.
`long` | `stblocksize` Optimal file sys I/O ops blocksize.
`long` | `stctimespec` Time of last file status change.
`long` | `stdev` Device inode resides on.
`long` | `stflags` User defined flags for file.
`long` | `stgen` File generation number.
`long` | `stgid` Group-id of owner.
`long` | `stino` Inode's number.
`long` | `stmode` Inode protection mode.
`long` | `stmtimespec` Time of last data modification.
`long` | `stnlink` Number of hard links to the file.
`long` | `strdev` Device type, for special file inode.
`long` | `stsize` File size, in bytes.
`long` | `stuid` User-id of owner.

Constructor Summary
`DeepStat()`

Method Summary
`void` | `printFields(String prefix, PrintStream ps)` Prints stat fields to the provided stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stdev

    public long stdev

  Device inode resides on. Type: dev_t (4 bytes)

### stino

    public long stino

  Inode's number. Type: ino_t (4 bytes)

### stmode

    public long stmode

  Inode protection mode. Type: mode_t (2 or 4 bytes)

### stnlink

    public long stnlink

  Number of hard links to the file. Type: nlink_t (2 bytes)

### stuid

    public long stuid

  User-id of owner. Type: uid_t (4 bytes)

### stgid

    public long stgid

  Group-id of owner. Type: gid_t (4 bytes)

### strdev

    public long strdev

  Device type, for special file inode. Type: dev_t (4 bytes)

### statimespec

    public long statimespec

  Time of last access.

### stmtimespec

    public long stmtimespec

  Time of last data modification.

### stctimespec

    public long stctimespec

  Time of last file status change.

### stsize

    public long stsize

  File size, in bytes. Type: off_t (8 bytes)

### stblocks

    public long stblocks

  Blocks allocated for file. Type: quad_t (8 bytes)

### stblocksize

    public long stblocksize

  Optimal file sys I/O ops blocksize. Type: u_long (4 bytes)

### stflags

    public long stflags

  User defined flags for file. Type: u_long (4 bytes)

### stgen

    public long stgen

  File generation number. Type: u_long (4 bytes)

Constructor Detail

### DeepStat

    public DeepStat()

Method Detail

### printFields

    public void printFields(String prefix,
                            PrintStream ps)

  Prints stat fields to the provided stream.

  Parameters:
    `prefix` - to output
    `ps` - stream to be printed to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD